import java.util.ArrayList;

public class Main {
    /**
     * @param args System Args
     *
     */
    public static void main(String[] args) {
        VotingSystem votingSystem = new VotingSystem();
        ArrayList<String> singleVoting = new ArrayList<>();

        singleVoting.add("option1");
        singleVoting.add("option2");
        singleVoting.add("option3");

        Voting voting1 = votingSystem.createVoting(0, "Enter Selected Option Please...", singleVoting);

        Person person1 = new Person("firstName1", "lastName1");
        Person person2 = new Person("firstName", "lastName2");
        Person person3 = new Person("firstName3", "lastName3");
        Person person4 = new Person("firstName4", "lastName4");

        ArrayList<String> person1Votes = new ArrayList<>();
        person1Votes.add("option1");

        ArrayList<String> person2Votes = new ArrayList<>();
        person2Votes.add("option2");

        ArrayList<String> person3Votes = new ArrayList<>();
        person3Votes.add("option1");

        ArrayList<String> person4Votes = new ArrayList<>();
        person4Votes.add("option3");

        votingSystem.vote(voting1, person1, person1Votes, 0);
        votingSystem.vote(voting1, person2, person2Votes, 0);
        votingSystem.vote(voting1, person3, person3Votes, 0);
        votingSystem.vote(voting1, person4, person4Votes, 0);

        votingSystem.printVotingResult(voting1, 0);

        ArrayList<String> multipleVoting = new ArrayList<>();
        multipleVoting.add("option11");
        multipleVoting.add("option21");
        multipleVoting.add("option31");

        Voting voting2 = votingSystem.createVoting(1, "Please Enter Your Choice For Multiple System"
                , multipleVoting);

        ArrayList<String> person1VotesMultiple = new ArrayList<>();
        person1VotesMultiple.add("option11");
        person1VotesMultiple.add("option21");

        ArrayList<String> person2VotesMultiple = new ArrayList<>();
        person2VotesMultiple.add("option11");
        person2VotesMultiple.add("option31");

        ArrayList<String> person3VotesMultiple = new ArrayList<>();
        person3VotesMultiple.add("option11");
        person3VotesMultiple.add("option21");

        ArrayList<String> person4VotesMultiple = new ArrayList<>();
        person4VotesMultiple.add("option11");
        person4VotesMultiple.add("option21");

        votingSystem.vote(voting2, person1, person1VotesMultiple, 1);
        votingSystem.vote(voting2, person2, person2VotesMultiple, 1);
        votingSystem.vote(voting2, person3, person3VotesMultiple, 1);
        votingSystem.vote(voting2, person4, person4VotesMultiple, 1);

        votingSystem.printVotingResult(voting2, 1);

    }
}